﻿//【登録場所】 全体、レス表示、選択テキスト
//【ラベル】 Googleリアルタイム検索
//【内容】 （対象レス時刻からの）Googleリアルタイム検索をブラウザで開く
//【コマンド1】 $SCRIPT googleRTSearch.js //ブラウザで開く。JDICがインストールされている時は内部ブラウザで開く。
//【コマンド2】 $SCRIPT googleRTSearch.js ext //外部ブラウザで開く。
//＊参照: ttp://googlejapan.blogspot.com/2010/06/blog-post_21.html
//【更新日】 2010/06/22
//【元URL】 http://yy61.60.kg/test/read.cgi/v2cj/1252074124/226
//【スクリプト】
// ----- 次の行から -----
var vcx = v2c.context, options = vcx.args, br = false;
if ( options.length > 0 && options[0] == 'ext') br = true;
var statusText = 'リアルタイム検索';
v2c.setStatus( statusText );
try { createUrl(); } catch (e) { vcx.setStatusBarText( e.message ); }
function createUrl() {
	var resObj = vcx.res;
	var targetTime = resObj.time;
	var secTime = v2c.prompt( '対象時刻からの検索範囲(秒)を入力'
		+ '\n＊　対象時刻は正で開始時刻、負で終了時刻','3600') || Err( 'キャンセル' );
	if ( parseInt( secTime ) == 0 ) Err( '入力０は無効です。' );
	if ( isNaN( secTime ) ) Err( '入力が数値ではありません。' );
	var startSecTime = endSecTime = 0;
	if ( secTime > 0 ) {
		startSecTime = ( targetTime - ( targetTime % 1000 ) ) / 1000;
		endSecTime = startSecTime + parseInt( secTime );
	} else {
		endSecTime = ( targetTime - ( targetTime % 1000 ) ) / 1000;
		startSecTime = endSecTime + parseInt( secTime );
	}
	statusText += ' ＞ 範囲：' + toMyLocaleString( startSecTime * 1000 ) +'～'+ toMyLocaleString( endSecTime * 1000 );
	v2c.setStatus( statusText );
	var text = vcx.selText;
	v2c.println(text);
	if( !text ) text = v2c.prompt( 'リアルタイム検索文字を入力', '') || Err( 'キャンセル' );
	if( text.length() == 0 ) Err( 'テキストが未入力です。' );
	var url = 'http://www.google.co.jp/search?num=200&hl=ja&prmdo=1&filter=0&tbs=mbl:1,mbl_hs:' 
			+ startSecTime + ',mbl_he:' + endSecTime + '&q='+encodeURIComponent( text );
	br ? v2c.browseURLExt( url ) : v2c.browseURL( url );
	statusText += ' ＞ 検索文字：' + text;
	v2c.println( statusText );
	vcx.setStatusBarText( statusText );
}
function toMyLocaleString( t ) {
	var d = new Date( t );
	return java.text.SimpleDateFormat( 'yyyy/MM/dd HH:mm:ss' ).format( d );
}
function Err( m ) {
	throw Error( m );
}
// ----- 前の行まで -----